Itemize a card transaction
curl --request PATCH \
--url https://api.dueflow.co/v1/card-transactions/{transactionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"memo": "<string>",
"receipts": [
{
"fileUrl": "<string>",
"fileName": "<string>",
"fileType": "<string>",
"fileSizeBytes": 4503599627370495
}
],
"financeCategoryId": "<string>"
}
'import requests
url = "https://api.dueflow.co/v1/card-transactions/{transactionId}"
payload = {
"memo": "<string>",
"receipts": [
{
"fileUrl": "<string>",
"fileName": "<string>",
"fileType": "<string>",
"fileSizeBytes": 4503599627370495
}
],
"financeCategoryId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
memo: '<string>',
receipts: [
{
fileUrl: '<string>',
fileName: '<string>',
fileType: '<string>',
fileSizeBytes: 4503599627370495
}
],
financeCategoryId: '<string>'
})
};
fetch('https://api.dueflow.co/v1/card-transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"cardId": "<string>",
"amount": "<string>",
"status": "pending",
"merchantName": "<string>",
"merchantCategory": "<string>",
"merchantMcc": "<string>",
"declineMessage": "<string>",
"postedAt": "2023-11-07T05:31:56Z",
"memo": "<string>",
"receipts": [
{
"id": "<string>",
"fileUrl": "<string>",
"fileName": "<string>",
"fileType": "<string>",
"fileSizeBytes": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
],
"financeCategoryId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"docsUrl": "<string>",
"param": "<string>",
"requiredScopes": [
"<string>"
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"docsUrl": "<string>",
"param": "<string>",
"requiredScopes": [
"<string>"
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"docsUrl": "<string>",
"param": "<string>",
"requiredScopes": [
"<string>"
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"docsUrl": "<string>",
"param": "<string>",
"requiredScopes": [
"<string>"
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"docsUrl": "<string>",
"param": "<string>",
"requiredScopes": [
"<string>"
]
}
}Itemize a card transaction
Requires scope
cards:write· Minimum role admin
PATCH
/
v1
/
card-transactions
/
{transactionId}
Itemize a card transaction
Authorizations
A Dueflow access token: dfp_ (personal) or dfs_ (service). Permissions are the token's scopes intersected with the role ceiling, re-evaluated per request.
Path Parameters
Body
application/json
Response
Success
Available options:
pending, completed, reversed, declined Show child attributes
Show child attributes

